com.sun.jna.platform.win32

## Interface Winioctl

- All Superinterfaces:
    AltCallingConvention, Library, StdCall, StdCallLibrary

      public interface Winioctl
      extends StdCallLibrary

  Interface for the Winioctl.h header file.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `Winioctl.STORAGE_DEVICE_NUMBER` Contains information about a device.

    - ### Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary

      `StdCallLibrary.StdCallCallback`

    - ### Nested classes/interfaces inherited from interface com.sun.jna.Library

      `Library.Handler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `IOCTL_STORAGE_GET_DEVICE_NUMBER` Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.

    - ### Fields inherited from interface com.sun.jna.win32.StdCallLibrary

      `FUNCTION_MAPPER, STDCALL_CONVENTION`

    - ### Fields inherited from interface com.sun.jna.Library

      `OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_CLASSLOADER, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRING_ENCODING, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

- - ### Field Detail

    - #### IOCTL_STORAGE_GET_DEVICE_NUMBER

          static final int IOCTL_STORAGE_GET_DEVICE_NUMBER

      Retrieves the device type, device number, and, for a partitionable device, the partition number of a device.
      See Also:
        Constant Field Values

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.